import os
import sys
sys.path[0] = os.path.normpath('%s/../../..' % sys.path[0])

from common import logger, config
logger.location = 'cs'
from upload.fam.restService import RestService
import traceback


def main():
    errorLog = logger.getUploadLogger('errorLog', 'RestError')
    if not config.read(sys.path[0] + "/../config/cs/exchangers.ini"):
        errorLog.error("Configuration file 'exchangers.ini' not found. The system 'exchangers' is not running.")
        exit(1)

    try:
        RestService(isCash=False).start()
    except:
        errorLog.error(traceback.format_exc())


if __name__ == '__main__':
    main()
